Subject: hx/unpack-streaming (was: What's cooking in git.git (Jun 2022, #07; Wed, 22))

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 23 Jun 2022 12:59:11 +0200

On Wed, Jun 22 2022, Junio C Hamano wrote:

> * hx/unpack-streaming (2022-06-13) 6 commits
>  - unpack-objects: use stream_loose_object() to unpack large objects
>  - core doc: modernize core.bigFileThreshold documentation
>  - object-file.c: add "stream_loose_object()" to handle large object
>  - object-file.c: factor out deflate part of write_loose_object()
>  - object-file.c: refactor write_loose_object() to several steps
>  - unpack-objects: low memory footprint for get_data() in dry_run mode
>
>  Allow large objects read from a packstream to be streamed into a
>  loose object file straight, without having to keep it in-core as a
>  whole.
>
>  Will merge to 'next'?
>  source: <[email-masked]>

I've thoroughly reviewed this topic both now & in the past, and I think
it's ready to be merged down.